コンテンツへスキップ

Subscriptions API (2.0)

概要

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

このAPIリファレンスでは、サブスクリプション、クーポン、およびプロモーションを管理するためのエンドポイントについて説明します。 サブスクリプションの詳細については、製品ガイドおよび用語集を参照してください。

OpenAPI記述をダウンロード
言語
サーバー
Mock server
https://xsolla.redocly.app/_mock/ja/api/subscriptions/
操作
操作
操作

Subscription management

操作
操作

プロモーション

操作
操作

Subscription management

操作

Manage payment account

リクエスト

セキュリティ
subscriptionsManagementJwtAuth
パス
subscription_idinteger\d+必須
project_idinteger\d+必須
クエリ
sandboxboolean
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account/manage?sandbox=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

Returns link for managing payment accounts

ボディapplication/json
link_to_psstring必須
例: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
レスポンス
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }

List payment accounts

リクエスト

セキュリティ
subscriptionsManagementJwtAuth
パス
subscription_idinteger\d+必須
project_idinteger\d+必須
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ja/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_accounts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

Returns the user's billing accounts

ボディapplication/json
itemsArray of objects(BillingAccountResponse)
デフォルト []
レスポンス
application/json
{ "items": [] }